UTMetaData (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.config

## Class UTMetaData

- java.lang.Object
- - org.apache.cassandra.config.UTMetaData

-     public final class UTMetaData
      extends java.lang.Object

  Defined (and loaded) user types. In practice, because user types are global, we have only one instance of this class that retrieve through the Schema class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UTMetaData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addType(UserType type)`
    `static Mutation` | `dropFromSchema(UserType droppedType, long timestamp)`
    `boolean` | `equals(java.lang.Object that)`
    `static java.util.Map<java.nio.ByteBuffer,UserType>` | `fromSchema(Row row)`
    `java.util.Map<java.nio.ByteBuffer,UserType>` | `getAllTypes()`
    `UserType` | `getType(java.nio.ByteBuffer typeName)`
    `void` | `removeType(UserType type)`
    `Mutation` | `toSchema(Mutation mutation, long timestamp)`
    `static Mutation` | `toSchema(Mutation mutation, UserType newType, long timestamp)`
    `static Mutation` | `toSchema(UserType newType, long timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UTMetaData

          public UTMetaData()

  - ### Method Detail

    - #### fromSchema

          public static java.util.Map<java.nio.ByteBuffer,UserType> fromSchema(Row row)

    - #### toSchema

          public static Mutation toSchema(UserType newType,
                          long timestamp)

    - #### toSchema

          public static Mutation toSchema(Mutation mutation,
                          UserType newType,
                          long timestamp)

    - #### toSchema

          public Mutation toSchema(Mutation mutation,
                          long timestamp)

    - #### dropFromSchema

          public static Mutation dropFromSchema(UserType droppedType,
                                long timestamp)

    - #### getType

          public UserType getType(java.nio.ByteBuffer typeName)

    - #### getAllTypes

          public java.util.Map<java.nio.ByteBuffer,UserType> getAllTypes()

    - #### addType

          public void addType(UserType type)

    - #### removeType

          public void removeType(UserType type)

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation